summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-16 16:29:33 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-16 16:29:33 +0000
commit773068d8a6fe36dc9e3caa5dd50c18626f93b4c8 (patch)
treeb9582769a1a76199f8cddf06bfd55d03b3392b4c /jenkins
parent1a3498ab0b4d037760d4be4ca8af18e8dba1a666 (diff)
onsuccess: #708: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1305
-rw-r--r--jenkins/notify-init.log292
-rw-r--r--jenkins/run-build.env8
4 files changed, 221 insertions, 1386 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 851ab2a..4662d8a 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#707-glibc-R0
+#708-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 6acc7c8..aba89d9 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -10,8 +10,8 @@
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+ setup_notify_environment
-+ echo '# setup_notify_environment'
# setup_notify_environment
++ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -21,31 +21,31 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/706/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/706/'
-+ echo '# Using dir : base-artifacts'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
# Using dir : base-artifacts
++ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/'
# Using dir : artifacts
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
-# check_source_changes
+ '[' ignore = precommit ']'
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xb7f8b6b64b135e6dba5083d688675874d6809c91 '!=' x0575073dda99169e61b0201225078c364a3980f5 ']'
+++ '[' xa8dcffb30680d6db5704f9ce2fc30621ceb454e7 '!=' xb7f8b6b64b135e6dba5083d688675874d6809c91 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=b7f8b6b64b135e6dba5083d688675874d6809c91
++ first_bad=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=0575073dda99169e61b0201225078c364a3980f5
++ last_good=b7f8b6b64b135e6dba5083d688675874d6809c91
+ local res
+ res=0
-+ wait 1214790
++ wait 1204453
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=0575073dda99169e61b0201225078c364a3980f5
++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-++ git -C glibc rev-parse 'b7f8b6b64b135e6dba5083d688675874d6809c91^@'
++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ git -C glibc rev-parse 'a8dcffb30680d6db5704f9ce2fc30621ceb454e7^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 0575073dda99169e61b0201225078c364a3980f5 = 0575073dda99169e61b0201225078c364a3980f5 ']'
-+ return 0
-+ change_kind=single_commit
-# Debug traces :
-# change_kind=single_commit : glibc
++ '[' 3fddfe3c5d3c61f91401393814f7dc33be9c7dd3 = b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
++ return 1
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=single_commit : glibc'
+# Debug traces :
+# change_kind=single_component : glibc
++ echo '# change_kind=single_component : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,17 +136,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=0575073dda99169e61b0201225078c364a3980f5
++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-++ git -C glibc rev-list --count 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91
-+ c_commits=1
-# rev for glibc : 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91 (1 commits)
-+ echo '# rev for glibc : 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91 (1 commits)'
++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ c_commits=2
+# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)
++ echo '# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)'
+ echo ''
+ setup_stages_to_run
@@ -174,894 +174,27 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 1214870
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=23d502302
-++ '[' 0 -ne 0 ']'
-++ echo 23d502302
-+ sha1=23d502302
-+ git -C interesting-commits checkout --detach 23d502302
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 5ea7c8389 Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 5ea7c8389
-
-HEAD is now at 23d502302 Add entry aaf0f12175bfc0a7bdc6c80b8d481fb09ae44e25 from https://ci.linaro.org/job/tcwg_bootstrap_check--master-aarch64-check_bootstrap-build/363/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ subdir3=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-+ subdir4=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check master-arm
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ subdir5=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ '[' -d interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
-+ mkdir -p interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
-+ mkdir -p interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo 0575073dda99169e61b0201225078c364a3980f5
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
-[detached HEAD a9bea560f] Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
- 3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/last_good
-+ wait 1227455
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1227457
++ wait 1204477
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ isubdir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url ']'
-+ local first_url
-++ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/ = https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/ ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 1227562
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=23d502302
-++ '[' 0 -ne 0 ']'
-++ echo 23d502302
-+ sha1=23d502302
-+ git -C interesting-commits checkout --detach 23d502302
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- a9bea560f Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> a9bea560f
-
-HEAD is now at 23d502302 Add entry aaf0f12175bfc0a7bdc6c80b8d481fb09ae44e25 from https://ci.linaro.org/job/tcwg_bootstrap_check--master-aarch64-check_bootstrap-build/363/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-+ local stage=full
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ subdir3=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-+ subdir4=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check master-arm
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ subdir5=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ '[' -d interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
-+ mkdir -p interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
-+ mkdir -p interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo 0575073dda99169e61b0201225078c364a3980f5
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/last_good
-+ '[' full '!=' full ']'
-+ gnu_print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ '[' -d artifacts/sumfiles ']'
-+ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
-+ local xfails=artifacts/sumfiles/xfails.xfail
-+ '[' -f artifacts/sumfiles/xfails.xfail ']'
-+ wait 1240097
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-+ wait 1240098
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-+ local n_regressions n_progressions pass_fail=PASS
-+ '[' 0 '!=' 0 ']'
-++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
-++ true
-+ n_regressions=0
-++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
-++ true
-+ n_progressions=0
-+ printf PASS
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/regressions.sum
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/progressions.sum
-+ printf '\n'
-+ '[' --oneline = --oneline ']'
-+ return 0
-+ merge_status_summary interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status-summary.txt
-+ cur=PASS
-+ '[' PASS -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: PASS: integer expression expected
-+ best=PASS
-+ best_file=interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status-summary.txt
-+ merge_status_summary interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91 -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt
-+ cur=PASS
-+ '[' PASS -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: PASS: integer expression expected
-+ best=PASS
-+ best_file=interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status-summary.txt glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status-summary.txt
-+ gnu_print_result --long
-+ false
-+ local print_arg=--long
-+ '[' -d artifacts/sumfiles ']'
-+ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
-+ local xfails=artifacts/sumfiles/xfails.xfail
-+ '[' -f artifacts/sumfiles/xfails.xfail ']'
-+ wait 1240138
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-+ wait 1240139
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-+ local n_regressions n_progressions pass_fail=PASS
-+ '[' 0 '!=' 0 ']'
-++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
-++ true
-+ n_regressions=0
-++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
-++ true
-+ n_progressions=0
-+ printf PASS
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/regressions.sum
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/progressions.sum
-+ printf '\n'
-+ '[' --long = --oneline ']'
-+ local length=10 outfile n_lines
-+ '[' --long = --long ']'
-+ length=-0
-+ for outfile in regressions.sum progressions.sum
-+ '[' -f artifacts/notify/regressions.sum ']'
-+ continue
-+ for outfile in regressions.sum progressions.sum
-+ '[' -f artifacts/notify/progressions.sum ']'
-+ continue
-+ cat
-++ print_artifacts_url 00-sumfiles/
-++ set -euf -o pipefail
-++ local url
-+++ get_current_manifest BUILD_URL
-+++ get_manifest artifacts/manifest.sh BUILD_URL
-+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
-++ '[' '' '!=' '' ']'
-++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/00-sumfiles/
-++ print_artifacts_url notify/
-++ set -euf -o pipefail
-++ local url
-+++ get_current_manifest BUILD_URL
-+++ get_manifest artifacts/manifest.sh BUILD_URL
-+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
-++ '[' '' '!=' '' ']'
-++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/notify/
-++ print_artifacts_url sumfiles/xfails.xfail
-++ set -euf -o pipefail
-++ local url
-+++ get_current_manifest BUILD_URL
-+++ get_manifest artifacts/manifest.sh BUILD_URL
-+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
-++ '[' '' '!=' '' ']'
-++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/sumfiles/xfails.xfail
-+ sed 's/^/* /'
-+ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status-summary.txt
-+ print_icommits_link glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/details.txt
-+ set -euf -o pipefail
-+ local path=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/details.txt
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/details.txt
-+ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/details.txt glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status.txt
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/summary.txt ']'
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/706/artifact/artifacts
-+ cat
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/reproduction_instructions.txt
-+ local ci_config
-+ read ci_config
-++ cd interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ ls
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status.txt ']'
-+ echo '* master-arm'
-+ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status.txt
-+ sed 's/^/*/'
-+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status.txt
-+ local ci_project
-+ read ci_project
-++ cd interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ ls
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status.txt ']'
-+ echo '* tcwg_glibc_check'
-+ sed 's/^/*/'
-+ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status.txt
-+ read ci_project
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status.txt
-+ print_commits --short
-+ set -euf -o pipefail
-+ false
-+ local print_arg=--short
-+ '[' single_commit = no_change ']'
-+ local more_lines
-+ '[' single_commit = single_commit ']'
-+ local c=glibc
-+ '[' --short = --link ']'
-+ local describe
-+ '[' '' = '' ']'
-++ describe_sha1 glibc b7f8b6b64b135e6dba5083d688675874d6809c91 true
-++ local component=glibc
-++ local sha1=b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C glibc describe b7f8b6b64b135e6dba5083d688675874d6809c91
-+ describe=glibc-2.38.9000-259-gb7f8b6b64b
-++ sed 's,^basepoints/,,'
-++ echo glibc-2.38.9000-259-gb7f8b6b64b
-+ describe=glibc-2.38.9000-259-gb7f8b6b64b
-+ '[' --short = --oneline ']'
-+ '[' '' = '' ']'
-+ echo 'commit glibc-2.38.9000-259-gb7f8b6b64b'
-+ local tmpfile
-++ mktemp
-+ tmpfile=/tmp/tmp.WvTcwe25aH
-+ tail -n +2
-+ git -C glibc log -n1 b7f8b6b64b135e6dba5083d688675874d6809c91
-+ head -n 10 /tmp/tmp.WvTcwe25aH
-++ wc -l
-++ cat /tmp/tmp.WvTcwe25aH
-+ more_lines=5
-+ '[' 5 -gt 0 ']'
-+ echo '... 5 lines of the commit log omitted.'
-+ rm /tmp/tmp.WvTcwe25aH
-+ '[' '' '!=' '' ']'
-+ return 0
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/commit-log.txt
-+ true
-+ local jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-+ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/key ']'
-+ '[' -e interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira ']'
-+ mkdir interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-+ '[' '' '!=' '' ']'
-++ print_commits --oneline
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc b7f8b6b64b135e6dba5083d688675874d6809c91 true
-+++ local component=glibc
-+++ local sha1=b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe b7f8b6b64b135e6dba5083d688675874d6809c91
-++ describe=glibc-2.38.9000-259-gb7f8b6b64b
-+++ echo glibc-2.38.9000-259-gb7f8b6b64b
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-259-gb7f8b6b64b
-++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-259-gb7f8b6b64b
-++ return 0
-++ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status-summary.txt
-+ echo glibc-2.38.9000-259-gb7f8b6b64b: PASS
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/summary
-+ cat
-++ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/commit-log.txt
-++ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status.txt
-++ print_icommits_link glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/yaml
-++ set -euf -o pipefail
-++ local path=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/yaml
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/yaml
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/description
-+ update_jira_card
-# update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-+ local jira_dir
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-+ components=()
-+ local -a components
-+ case "$changed_single_component" in
-+ components+=(Glibc)
-+ IFS=,
-+ echo Glibc
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/components
-+ local commit_date
-++ git -C glibc log -n1 --pretty=%cd --date=iso b7f8b6b64b135e6dba5083d688675874d6809c91
-+ commit_date='2023-11-15 11:09:44 -0600'
-+ date -d '2023-11-15 11:09:44 -0600' +%Y-%m-%d
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-++ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/key ']'
-++ return 0
-WARNING: no existing jira card interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/key
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/key'
-+ return 0
-+ local describe
-++ describe_sha1 glibc b7f8b6b64b135e6dba5083d688675874d6809c91 false
-++ local component=glibc
-++ local sha1=b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C glibc describe b7f8b6b64b135e6dba5083d688675874d6809c91
-+ describe=glibc-2.38.9000-259-gb7f8b6b64b
-+ '[' glibc-2.38.9000-259-gb7f8b6b64b '!=' '' ']'
-+ local d
-++ dirname glibc-2.38.9000-259-gb7f8b6b64b
-+ d=.
-+ mkdir -p interesting-commits/glibc/.
-+ local symlink=
-+ '[' . '!=' . ']'
-+ symlink=sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ rm -f interesting-commits/glibc/glibc-2.38.9000-259-gb7f8b6b64b
-+ ln -s sha1/b7f8b6b64b135e6dba5083d688675874d6809c91 interesting-commits/glibc/glibc-2.38.9000-259-gb7f8b6b64b
-+ git -C interesting-commits add glibc/glibc-2.38.9000-259-gb7f8b6b64b
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
-[detached HEAD 2136f1b7d] Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
- 17 files changed, 77 insertions(+)
- create mode 120000 glibc/glibc-2.38.9000-259-gb7f8b6b64b
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/commit-log.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/components
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/description
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/startdate
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/summary
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status-summary.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/details.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/last_good
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/reproduction_instructions.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status-summary.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/status.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status-summary.txt
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/status.txt
-+ wait 1240509
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -1071,23 +204,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ isubdir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ case "$print_arg" in
-++ echo interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ icommit_entry=interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ '[' interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91 '!=' '' ']'
-+ '[' -d interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira ']'
-+ rsync -a interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return 0
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -1101,10 +222,10 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1240520
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1240521
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1204522
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1204523
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -1127,9 +248,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -1152,15 +273,17 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=0575073dda99169e61b0201225078c364a3980f5
++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ read -r email
+++ git -C glibc log --pretty=%ae b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ emails["$email"]=cc
+ read -r email
-++ git -C glibc log --pretty=%ae 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1171,15 +294,17 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=0575073dda99169e61b0201225078c364a3980f5
++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ read -r email
+++ git -C glibc log --pretty=%ce b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ emails["$email"]=to
+ read -r email
-++ git -C glibc log --pretty=%ce 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1202,33 +327,48 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,goldstein.w.n@gmail.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,mfabian@redhat.com,adhemerval.zanella@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc b7f8b6b64b135e6dba5083d688675874d6809c91 true
-+++ local component=glibc
-+++ local sha1=b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe b7f8b6b64b135e6dba5083d688675874d6809c91
-++ describe=glibc-2.38.9000-259-gb7f8b6b64b
-+++ echo glibc-2.38.9000-259-gb7f8b6b64b
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-259-gb7f8b6b64b
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ c_commits=2
+++ new_commits=2
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '2 commits in glibc'
++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-259-gb7f8b6b64b
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1237,10 +377,10 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1240569
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1240570
+++ wait 1204579
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1204580
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -1281,17 +421,17 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-259-gb7f8b6b64b: PASS on arm'
++ echo '[Linaro-TCWG-CI]' '2 commits in glibc: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/706/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
@@ -1317,40 +457,56 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --short = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc b7f8b6b64b135e6dba5083d688675874d6809c91 true
-+++ local component=glibc
-+++ local sha1=b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe b7f8b6b64b135e6dba5083d688675874d6809c91
-++ describe=glibc-2.38.9000-259-gb7f8b6b64b
-+++ echo glibc-2.38.9000-259-gb7f8b6b64b
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-259-gb7f8b6b64b
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ c_commits=2
+++ new_commits=2
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '2 commits in glibc'
++ '[' --short = --oneline ']'
-++ '[' '' = '' ']'
-++ echo 'commit glibc-2.38.9000-259-gb7f8b6b64b'
-++ local tmpfile
-+++ mktemp
-++ tmpfile=/tmp/tmp.XBznTA1FIg
-++ git -C glibc log -n1 b7f8b6b64b135e6dba5083d688675874d6809c91
-++ tail -n +2
-++ head -n 10 /tmp/tmp.XBznTA1FIg
-+++ cat /tmp/tmp.XBznTA1FIg
-+++ wc -l
-++ more_lines=5
-++ '[' 5 -gt 0 ']'
-++ echo '... 5 lines of the commit log omitted.'
-++ rm /tmp/tmp.XBznTA1FIg
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ c_commits=2
+++ '[' '' '!=' '' ']'
+++ git -C glibc log -n 5 --oneline b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ '[' 2 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1360,10 +516,10 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1240622
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231115 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1240623
+++ wait 1204643
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231116 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1204644
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -1394,27 +550,27 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
@@ -1438,114 +594,29 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check/master-arm'
-+ '[' single_commit '!=' single_commit ']'
-+ '[' '' '!=' '' ']'
-+ local key
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-++ '[' -f interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ echo GNU-692
-+ key=GNU-692
-+ cat
-++ print_last_icommit --reproduction_instructions_link tcwg_glibc_check master-arm
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--reproduction_instructions_link
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check master-arm
-+++ local dir=glibc/sha1
-+++ '[' 4 -ge 2 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ '[' 4 -ge 3 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-+++ '[' 4 -ge 4 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-++ isubdir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-++ case "$print_arg" in
-++ print_icommits_link glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/reproduction_instructions.txt
-++ set -euf -o pipefail
-++ local path=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/reproduction_instructions.txt
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/reproduction_instructions.txt
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git glibc_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_url
-++ url=git://sourceware.org/git/glibc.git
-++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
-++ url=glibc.git
-++ url='https://sourceware.org/git/?p=glibc.git'
-++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=b7f8b6b64b135e6dba5083d688675874d6809c91'
-++ return 0
-++ print_last_icommit --status
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--status
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ isubdir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ case "$print_arg" in
-++ cat interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/status.txt
-# generate dashboard
-# generate_dashboard_squad
-... Skipping
-# post_dashboard_squad
-... Skipping
++ '[' single_component '!=' single_commit ']'
++ return
+ echo '# generate dashboard'
+# generate dashboard
+ generate_dashboard_squad
+ local results_date
+# generate_dashboard_squad
+... Skipping
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ post_dashboard_squad
+# post_dashboard_squad
+ echo '# post_dashboard_squad'
+ false
+... Skipping
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1240685
-# generate_lnt_report
++ wait 1204687
+ set -euf -o pipefail
+# generate_lnt_report
+ echo '# generate_lnt_report'
+ true
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
@@ -1553,8 +624,8 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/ tcwg_glibc_check master-arm artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/ tcwg_glibc_check master-arm artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
+ local sumfiles_dir=artifacts/sumfiles
@@ -1566,16 +637,16 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ local machine_name=tcwg_glibc_check_master-arm
+ local lnt_testsuite=tcwg_gnu_check
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
-+ build_number=707
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
++ build_number=708
+ all_fields=('FAIL' 'KFAIL' 'XFAIL' 'PASS' 'XPASS' 'UNRESOLVED' 'UNSUPPORTED' 'UNTESTED' 'ERROR' 'OTHER')
+ local all_fields
++ date '+%Y-%m-%d %H:%M:%S'
-+ date_time='2023-11-15 22:20:46'
-+ report_header 707 tcwg_glibc_check_master-arm '2023-11-15 22:20:46' tcwg_gnu_check
-+ local build_number=707
++ date_time='2023-11-16 16:29:30'
++ report_header 708 tcwg_glibc_check_master-arm '2023-11-16 16:29:30' tcwg_gnu_check
++ local build_number=708
+ local machine_name=tcwg_glibc_check_master-arm
-+ local 'date_time=2023-11-15 22:20:46'
++ local 'date_time=2023-11-16 16:29:30'
+ local lnt_testsuite=tcwg_gnu_check
+ cat
+ for field in "${all_fields[@]}"
@@ -10244,6 +9315,12 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ eval '(( total_PASS+=1 ))'
++ (( total_PASS+=1 ))
+ read -r kind
++ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
++ eval '(( PASS+=1 ))'
+++ (( PASS+=1 ))
++ eval '(( total_PASS+=1 ))'
+++ (( total_PASS+=1 ))
++ read -r kind
+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ FAIL ]]
+ eval '(( FAIL+=1 ))'
++ (( FAIL+=1 ))
@@ -22310,11 +21387,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ eval '(( total_PASS+=1 ))'
++ (( total_PASS+=1 ))
+ read -r kind
-+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
-+ eval '(( PASS+=1 ))'
-++ (( PASS+=1 ))
-+ eval '(( total_PASS+=1 ))'
-++ (( total_PASS+=1 ))
++ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ FAIL ]]
++ eval '(( FAIL+=1 ))'
+++ (( FAIL+=1 ))
++ eval '(( total_FAIL+=1 ))'
+++ (( total_FAIL+=1 ))
+ read -r kind
+ [[ ! FAIL KFAIL XFAIL PASS XPASS UNRESOLVED UNSUPPORTED UNTESTED ERROR OTHER =~ PASS ]]
+ eval '(( PASS+=1 ))'
@@ -28795,10 +27872,10 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ first=false
+ field_name=tests.FAIL.nb_FAIL
++ eval 'echo $FAIL'
-+++ echo 34
-+ report_test_entry tcwg_gnu_check.tests.FAIL.nb_FAIL 34
++++ echo 35
++ report_test_entry tcwg_gnu_check.tests.FAIL.nb_FAIL 35
+ local name=tcwg_gnu_check.tests.FAIL.nb_FAIL
-+ local value=34
++ local value=35
+ cat
+ for field in "${fields[@]}"
+ false
@@ -28895,10 +27972,10 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ echo ' ,'
+ field_name=TOTAL.FAIL.nb_FAIL
++ eval 'echo $total_FAIL'
-+++ echo 34
-+ report_test_entry tcwg_gnu_check.TOTAL.FAIL.nb_FAIL 34
++++ echo 35
++ report_test_entry tcwg_gnu_check.TOTAL.FAIL.nb_FAIL 35
+ local name=tcwg_gnu_check.TOTAL.FAIL.nb_FAIL
-+ local value=34
++ local value=35
+ cat
+ for field in "${all_fields[@]}"
+ false
@@ -29002,5 +28079,5 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
+Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index aad1eeb..a89fb7f 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -26,19 +26,19 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/706/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/706/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/708/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
+
+ echo '# Using dir : artifacts'
+ echo ''
-
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xb7f8b6b64b135e6dba5083d688675874d6809c91 '!=' x0575073dda99169e61b0201225078c364a3980f5 ']'
+++ '[' xa8dcffb30680d6db5704f9ce2fc30621ceb454e7 '!=' xb7f8b6b64b135e6dba5083d688675874d6809c91 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=b7f8b6b64b135e6dba5083d688675874d6809c91
++ first_bad=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=0575073dda99169e61b0201225078c364a3980f5
++ last_good=b7f8b6b64b135e6dba5083d688675874d6809c91
+ local res
+ res=0
-+ wait 1202037
++ wait 1204340
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=0575073dda99169e61b0201225078c364a3980f5
++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-++ git -C glibc rev-parse 'b7f8b6b64b135e6dba5083d688675874d6809c91^@'
++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ git -C glibc rev-parse 'a8dcffb30680d6db5704f9ce2fc30621ceb454e7^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 0575073dda99169e61b0201225078c364a3980f5 = 0575073dda99169e61b0201225078c364a3980f5 ']'
-+ return 0
-+ change_kind=single_commit
++ '[' 3fddfe3c5d3c61f91401393814f7dc33be9c7dd3 = b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+# change_kind=single_component : glibc
+ echo '# Debug traces :'
-# change_kind=single_commit : glibc
-+ echo '# change_kind=single_commit : glibc'
++ echo '# change_kind=single_component : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=0575073dda99169e61b0201225078c364a3980f5
++ base_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=b7f8b6b64b135e6dba5083d688675874d6809c91
-++ git -C glibc rev-list --count 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91
-# rev for glibc : 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91 (1 commits)
++ cur_rev=a8dcffb30680d6db5704f9ce2fc30621ceb454e7
+++ git -C glibc rev-list --count b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7
++ c_commits=2
+# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)
-+ c_commits=1
-+ echo '# rev for glibc : 0575073dda99169e61b0201225078c364a3980f5..b7f8b6b64b135e6dba5083d688675874d6809c91 (1 commits)'
++ echo '# rev for glibc : b7f8b6b64b135e6dba5083d688675874d6809c91..a8dcffb30680d6db5704f9ce2fc30621ceb454e7 (2 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -174,251 +174,9 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 1202117
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=23d502302
-++ '[' 0 -ne 0 ']'
-++ echo 23d502302
-+ sha1=23d502302
-+ git -C interesting-commits checkout --detach 23d502302
-HEAD is now at 23d502302 Add entry aaf0f12175bfc0a7bdc6c80b8d481fb09ae44e25 from https://ci.linaro.org/job/tcwg_bootstrap_check--master-aarch64-check_bootstrap-build/363/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ jira_dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ subdir3=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-+ subdir4=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ interesting_subdir glibc b7f8b6b64b135e6dba5083d688675874d6809c91 tcwg_glibc_check master-arm
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-++ echo glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ subdir5=glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ '[' -d interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91 ']'
-+ mkdir -p interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
-+ mkdir -p interesting-commits/glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo 0575073dda99169e61b0201225078c364a3980f5
-+ git -C interesting-commits add glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/'
-[detached HEAD 5ea7c8389] Add entry b7f8b6b64b135e6dba5083d688675874d6809c91 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/707/
- 3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/first_url
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/build_url
- create mode 100644 glibc/sha1/b7f8b6b64b135e6dba5083d688675874d6809c91/tcwg_glibc_check/master-arm/last_good
-+ wait 1214699
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
-Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index a0266db..493747a 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#707"
+build_name="#708"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-06
+tcwg-jade-05
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#707-glibc"
+build_name="#708-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#707-glibc-R0"
+build_name="#708-glibc-R0"